Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class POPOSigningKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.POPOSigningKey

All Implemented Interfaces:
  ASN1Value

public class POPOSigningKey
extends java.lang.Object
implements ASN1Value

CRMF POPOSigningKey:

     POPOSigningKey ::= SEQUENCE {
          poposkInput         [0] POPOSigningKeyInput OPTIONAL,
          algorithmIdentifier AlgorithmIdentifier,
          signature           BIT STRING }

Inner Class Summary
`static class` | `POPOSigningKey.Template` A Template for decoding POPOSigningKey.

Field Summary
`private AlgorithmIdentifier` | `algorithmIdentifier`
`private ANY` | `poposkInput`
`private SEQUENCE` | `sequence`
`private BIT_STRING` | `signature`
`private static Tag` | `TAG`
`private static POPOSigningKey.Template` | `templateInstance`

Constructor Summary
`private` | `POPOSigningKey()`
`` | `POPOSigningKey(ANY poposkInput, AlgorithmIdentifier algorithmIdentifier, BIT_STRING signature)` Creates a POPOSigningKey.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`AlgorithmIdentifier` | `getAlgorithmIdentifier()` Retrieves the algorithm identifier for the signature.
`ANY` | `getPoposkInput()` Retrieves the input to the Proof-of-Possession of the signing key.
`BIT_STRING` | `getSignature()` Retrieves the signature.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static POPOSigningKey.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### poposkInput

    private ANY poposkInput

### algorithmIdentifier

    private AlgorithmIdentifier algorithmIdentifier

### signature

    private BIT_STRING signature

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final POPOSigningKey.Template templateInstance

Constructor Detail

### POPOSigningKey

    private POPOSigningKey()

### POPOSigningKey

    public POPOSigningKey(ANY poposkInput,
                          AlgorithmIdentifier algorithmIdentifier,
                          BIT_STRING signature)

  Creates a POPOSigningKey.
  Parameters:
    `poposkInput` - May be null.

Method Detail

### getPoposkInput

    public ANY getPoposkInput()

  Retrieves the input to the Proof-of-Possession of the signing key. May return null, because this field is optional. Returns an ANY because this type is not currently parsed.

### getAlgorithmIdentifier

    public AlgorithmIdentifier getAlgorithmIdentifier()

  Retrieves the algorithm identifier for the signature.

### getSignature

    public BIT_STRING getSignature()

  Retrieves the signature.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static POPOSigningKey.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD